Bug 609128 - segfault running `gnome-help ghelp:///usr/share/gnome/help/gnome-terminal/C/gnome-terminal.xml'
segfault running `gnome-help ghelp:///usr/share/gnome/help/gnome-terminal/C/g...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-29 09:47 EDT by Tom London
Modified: 2010-07-18 18:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-18 18:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom London 2010-06-29 09:47:54 EDT
Description of problem:
I'm getting this segfault each time I run gnome-help (either from a terminal window or from a gnome-terminal):

Core was generated by `gnome-help ghelp:///usr/share/gnome/help/gnome-terminal/C/gnome-terminal.xml'.
Program terminated with signal 11, Segmentation fault.
#0  __strlen_sse2 () at ../sysdeps/x86_64/strlen.S:31
31		pcmpeqb	(%rdi), %xmm2
(gdb) where
#0  __strlen_sse2 () at ../sysdeps/x86_64/strlen.S:31
#1  0x00000039b3e5c938 in g_str_has_prefix (str=
    0x1 <Address 0x1 out of bounds>, prefix=0x39b4ee059c "/")
    at gstrfuncs.c:2935
#2  0x00000039b4e84a44 in g_keyfile_settings_backend_new (filename=
    0x1027270 "/home/tbl/.config/yelp/yelp.cfg", root_path=
    0x1 <Address 0x1 out of bounds>, root_group=
    0x20 <Address 0x20 out of bounds>) at gkeyfilesettingsbackend.c:634
#3  0x0000000000407d46 in application_setup (app=0xf54400 [YelpApplication], 
    argc=2, argv=0x7fff47fce818) at yelp-application.c:233
#4  yelp_application_run (app=0xf54400 [YelpApplication], argc=2, argv=
    0x7fff47fce818) at yelp-application.c:411
#5  0x0000003f3641ed6d in __libc_start_main (main=0x40c810 <main>, argc=2, 
    ubp_av=0x7fff47fce818, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=
    0x7fff47fce808) at libc-start.c:226
#6  0x00000000004066e9 in _start ()
(gdb) set pagination off
(gdb) thread apply all bt full

Thread 2 (Thread 9789):
#0  0x0000003f364db673 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 3
        _a3 = -1
        _a1 = 139784542490960
        resultvar = <value optimized out>
        __arg3 = 4294967295
        __arg1 = 139784542490960
        _a2 = 3
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x00000039b3e40379 in g_main_context_poll (context=0xfc91d0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2988
        poll_func = 0x39b3e4d510 <g_poll>
#2  g_main_context_iterate (context=0xfc91d0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2670
        max_priority = 2147483647
        timeout = -1
        some_ready = <value optimized out>
        nfds = 3
        allocated_nfds = <value optimized out>
        fds = 0x7f2220001150
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x00000039b3e40b25 in g_main_loop_run (loop=0xfb5bb0) at gmain.c:2883
        self = 0xfc92b0
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x00000039b4ea6e04 in shared_thread_func (data=<value optimized out>) at gdbusprivate.c:247
No locals.
#5  0x00000039b3e65d84 in g_thread_create_proxy (data=0xfc92b0) at gthread.c:1898
        thread = 0xfc92b0
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x0000003f368079a1 in start_thread (arg=0x7f22283d3710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f22283d3710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139784680716048, -9167007883372491274, 140734401144000, 139784680716752, 0, 3, 9118784963882290678, -9172051340284621322}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x0000003f364e4d9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 9788):
#0  __strlen_sse2 () at ../sysdeps/x86_64/strlen.S:31
No locals.
#1  0x00000039b3e5c938 in g_str_has_prefix (str=0x1 <Address 0x1 out of bounds>, prefix=0x39b4ee059c "/") at gstrfuncs.c:2935
        str_len = <value optimized out>
        prefix_len = <value optimized out>
        __PRETTY_FUNCTION__ = "g_str_has_prefix"
#2  0x00000039b4e84a44 in g_keyfile_settings_backend_new (filename=0x1027270 "/home/tbl/.config/yelp/yelp.cfg", root_path=0x1 <Address 0x1 out of bounds>, root_group=0x20 <Address 0x20 out of bounds>) at gkeyfilesettingsbackend.c:634
        _g_boolean_var_ = <value optimized out>
        kfsb = <value optimized out>
        __PRETTY_FUNCTION__ = "g_keyfile_settings_backend_new"
#3  0x0000000000407d46 in application_setup (app=0xf54400 [YelpApplication], argc=2, argv=0x7fff47fce818) at yelp-application.c:233
        keyfile = 0x1027270 "/home/tbl/.config/yelp/yelp.cfg"
        priv = 0xf54420
        settings = 0xfe0000 [YelpSettings]
        action = <value optimized out>
#4  yelp_application_run (app=0xf54400 [YelpApplication], argc=2, argv=0x7fff47fce818) at yelp-application.c:411
        context = <value optimized out>
        error = 0x0
        ret = <value optimized out>
        request = 1
        priv = <value optimized out>
        uri = 0x7fff47fcf7a4 "ghelp:///usr/share/gnome/help/gnome-terminal/C/gnome-terminal.xml"
#5  0x0000003f3641ed6d in __libc_start_main (main=0x40c810 <main>, argc=2, ubp_av=0x7fff47fce818, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fff47fce808) at libc-start.c:226
        result = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -9167007883372491274, 4220608, 140734401144848, 0, 0, 9166708842235465206, -9172052993184330250}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x1}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
#6  0x00000000004066e9 in _start ()
No symbol table info available.
(gdb) 


Version-Release number of selected component (if applicable):
yelp-2.31.5-2.20100623git.fc14.x86_64
glib2-2.25.10-2.fc14.x86_64


How reproducible:
Every time

Steps to Reproduce:
1. Enter `gnome-help ghelp:///usr/share/gnome/help/gnome-terminal/C/gnome-terminal.xml' from a terminal window
2.
3.
  
Actual results:
Segfault....

Expected results:


Additional info:
Comment 1 Tom London 2010-06-29 09:50:02 EDT
Not sure its helpful, but here is contents of ~/.config/yelp/yelp.cfg:

[tbl@tlondon yelp]$ cat yelp.cfg

[/apps/yelp/documents/ghelp%3A%2F%2F%2Fusr%2Fshare%2Fgnome%2Fhelp%2Fgnome-terminal%2FC%2Fgnome-terminal.xml/]
geometry=(520, 580)
[tbl@tlondon yelp]$
Comment 2 Tom London 2010-06-30 10:03:08 EDT
Just updated to yelp-2.31.6-1.fc14.x86_64, but still getting segfault.

yelp-libs-2.31.6-1.fc14.x86_64
yelp-2.31.6-1.fc14.x86_64
yelp-xsl-2.31.4-1.fc14.noarch
yelp-debuginfo-2.31.6-1.fc14.x86_64
GConf2-2.31.5-2.fc14.x86_64
glib2-debuginfo-2.25.10-2.fc14.x86_64
glibc-common-2.12.90-3.x86_64
glibc-debuginfo-2.12.90-3.x86_64
glibc-headers-2.12.90-3.x86_64
glibc-2.12.90-3.x86_64
glib2-devel-2.25.10-3.fc14.x86_64
glibc-devel-2.12.90-3.x86_64
glib2-2.25.10-3.fc14.x86_64
glibmm24-2.24.1-1.fc14.x86_64


Core was generated by `gnome-help ghelp:///usr/share/gnome/help/gnome-terminal/C/gnome-terminal.xml'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007fa7569aeea2 in g_atomic_int_exchange_and_add (atomic=0x24, val=-1)
    at gatomic-gcc.c:30
30	  return __sync_fetch_and_add (atomic, val);
Missing separate debuginfos, use: debuginfo-install atk-1.30.0-4.fc14.x86_64 dbus-glib-0.86-2.fc14.x86_64 gdk-pixbuf2-2.21.5-2.fc14.x86_64 libgcc-4.4.4-10.fc14.x86_64 libpng-1.2.44-1.fc14.x86_64 libstdc++-4.4.4-10.fc14.x86_64 pango-1.28.1-3.fc14.x86_64
(gdb) where
#0  0x00007fa7569aeea2 in g_atomic_int_exchange_and_add (atomic=0x24, val=-1)
    at gatomic-gcc.c:30
#1  0x00007fa756a0ed42 in g_variant_unref (value=0x0) at gvariant-core.c:596
#2  0x00007fa757170f28 in g_settings_get_int (settings=<value optimized out>, 
    key=<value optimized out>) at gsettings.c:1466
#3  0x0000000000407681 in application_set_font_sensitivity (
    app=<value optimized out>) at yelp-application.c:289
#4  0x0000000000407a0b in application_setup (app=0x19c5400 [YelpApplication], 
    argc=2, argv=0x7fffc2d7f308) at yelp-application.c:256
#5  yelp_application_run (app=0x19c5400 [YelpApplication], argc=2, argv=
    0x7fffc2d7f308) at yelp-application.c:403
#6  0x0000003f3641ed6d in __libc_start_main (main=0x40c590 <main>, argc=2, 
    ubp_av=0x7fffc2d7f308, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=
    0x7fffc2d7f2f8) at libc-start.c:226
#7  0x0000000000406569 in _start ()
(gdb) set pagination off
(gdb) thread apply all bt full

Thread 2 (Thread 3911):
#0  0x0000003f364db673 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 3
        _a3 = -1
        _a1 = 140356444229968
        resultvar = <value optimized out>
        __arg3 = 4294967295
        __arg1 = 140356444229968
        _a2 = 3
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x00007fa7569d7379 in g_main_context_poll (context=0x1a3a810, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2988
        poll_func = 0x7fa7569e4510 <g_poll>
#2  g_main_context_iterate (context=0x1a3a810, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2670
        max_priority = 2147483647
        timeout = -1
        some_ready = <value optimized out>
        nfds = 3
        allocated_nfds = <value optimized out>
        fds = 0x7fa748001150
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x00007fa7569d7b25 in g_main_loop_run (loop=0x1a277e0) at gmain.c:2883
        self = 0x1a3a8f0
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x00007fa75718de04 in shared_thread_func (data=<value optimized out>) at gdbusprivate.c:247
No locals.
#5  0x00007fa7569fcd84 in g_thread_create_proxy (data=0x1a3a8f0) at gthread.c:1898
        thread = 0x1a3a8f0
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x0000003f368079a1 in start_thread (arg=0x7fa74ec98710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fa74ec98710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140356558096144, -5418271752782054393, 140736462319536, 140356558096848, 0, 3, 5440615663123332103, -5426833647993586681}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x0000003f364e4d9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 3910):
#0  0x00007fa7569aeea2 in g_atomic_int_exchange_and_add (atomic=0x24, val=-1) at gatomic-gcc.c:30
No locals.
#1  0x00007fa756a0ed42 in g_variant_unref (value=0x0) at gvariant-core.c:596
No locals.
#2  0x00007fa757170f28 in g_settings_get_int (settings=<value optimized out>, key=<value optimized out>) at gsettings.c:1466
        value = 0x0
        result = 0
#3  0x0000000000407681 in application_set_font_sensitivity (app=<value optimized out>) at yelp-application.c:289
        priv = 0x19c5420
        settings = <value optimized out>
        spec = 0x1a4a180 [GParamInt]
        adjustment = <value optimized out>
#4  0x0000000000407a0b in application_setup (app=0x19c5400 [YelpApplication], argc=2, argv=0x7fffc2d7f308) at yelp-application.c:256
        priv = 0x19c5420
        settings = <value optimized out>
        action = 0x1a438d0 [GtkToggleAction]
#5  yelp_application_run (app=0x19c5400 [YelpApplication], argc=2, argv=0x7fffc2d7f308) at yelp-application.c:403
        context = <value optimized out>
        error = 0x0
        ret = <value optimized out>
        request = 1
        priv = <value optimized out>
        uri = 0x7fffc2d8127c "ghelp:///usr/share/gnome/help/gnome-terminal/C/gnome-terminal.xml"
#6  0x0000003f3641ed6d in __libc_start_main (main=0x40c590 <main>, argc=2, ubp_av=0x7fffc2d7f308, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fffc2d7f2f8) at libc-start.c:226
        result = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -5418271752782054393, 4220224, 140736462320384, 0, 0, 5418370365120609287, -5426835285038826489}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x40c5e0, 0x7fffc2d7f308}, data = {prev = 0x0, cleanup = 0x0, canceltype = 4244960}}}
        not_first_call = <value optimized out>
#7  0x0000000000406569 in _start ()
No symbol table info available.
(gdb)
Comment 3 Tom London 2010-07-15 13:18:18 EDT
This started working after some updates this morning.  Not exactly sure which one....

Jul 15 06:19:45 Updated: gobject-introspection-0.9.2-2.fc14.x86_64
Jul 15 06:19:48 Updated: pygobject2-2.21.5-2.fc14.x86_64
Jul 15 06:19:50 Updated: gjs-0.7.1-3.fc14.x86_64
Jul 15 06:19:58 Updated: mutter-2.31.5-3.fc14.x86_64
Jul 15 06:20:02 Updated: gobject-introspection-devel-0.9.2-2.fc14.x86_64
Jul 15 06:20:02 Updated: 1:perl-Pod-Escapes-1.04-128.fc14.noarch
Jul 15 06:20:03 Updated: 1:perl-Module-Pluggable-3.90-128.fc14.noarch
Jul 15 06:20:04 Updated: 4:perl-libs-5.12.1-128.fc14.x86_64
Jul 15 06:20:06 Updated: 1:perl-Pod-Simple-3.13-128.fc14.noarch
Jul 15 06:20:26 Updated: 4:perl-5.12.1-128.fc14.x86_64
Jul 15 06:20:26 Updated: 1:perl-Digest-SHA-5.47-128.fc14.x86_64
Jul 15 06:20:27 Updated: 1:perl-ExtUtils-ParseXS-2.21-128.fc14.noarch
Jul 15 06:20:29 Updated: 4:perl-devel-5.12.1-128.fc14.x86_64
Jul 15 06:20:31 Updated: perl-ExtUtils-MakeMaker-6.56-128.fc14.noarch
Jul 15 06:20:32 Updated: perl-Test-Harness-3.17-128.fc14.noarch
Jul 15 06:20:34 Updated: perl-CPAN-1.9402-128.fc14.noarch
Jul 15 06:20:35 Updated: pygobject2-codegen-2.21.5-2.fc14.x86_64
Jul 15 06:20:36 Updated: pygobject2-doc-2.21.5-2.fc14.x86_64
Jul 15 06:20:43 Updated: gnome-shell-2.31.5-5.fc14.x86_64
Jul 15 06:20:54 Updated: epiphany-2.31.5-1.fc14.x86_64
Jul 15 06:20:55 Updated: pygobject2-devel-2.21.5-2.fc14.x86_64
Jul 15 06:20:56 Updated: 3:perl-version-0.82-128.fc14.noarch
Jul 15 06:20:57 Updated: gobject-introspection-debuginfo-0.9.2-2.fc14.x86_64
Jul 15 06:21:01 Updated: pygobject2-debuginfo-2.21.5-1.fc14.x86_64
Jul 15 06:23:39 Updated: libudev-160-6.fc14.x86_64
Jul 15 06:23:42 Updated: udev-160-6.fc14.x86_64
Jul 15 06:23:44 Updated: mono-winforms-2.6.7-1.fc14.x86_64
Jul 15 06:23:47 Updated: mono-web-2.6.7-1.fc14.x86_64
Jul 15 06:23:47 Updated: mono-data-sqlite-2.6.7-1.fc14.x86_64
Jul 15 06:23:49 Updated: mono-extras-2.6.7-1.fc14.x86_64
Jul 15 06:23:52 Updated: mono-devel-2.6.7-1.fc14.x86_64
Jul 15 06:24:00 Updated: mono-core-2.6.7-1.fc14.x86_64
Jul 15 06:24:02 Updated: mono-data-2.6.7-1.fc14.x86_64
Jul 15 06:24:03 Updated: mono-wcf-2.6.7-1.fc14.x86_64
Jul 15 06:24:04 Updated: xorg-x11-server-common-1.8.99.904-6.20100702.fc14.x86_64
Jul 15 06:24:05 Updated: xorg-x11-server-Xorg-1.8.99.904-6.20100702.fc14.x86_64
Jul 15 06:24:06 Updated: xorg-x11-drv-penmount-1.4.1-1.fc14.x86_64
Jul 15 06:24:07 Updated: libudev-devel-160-6.fc14.x86_64
Jul 15 06:24:09 Updated: xorg-x11-server-devel-1.8.99.904-6.20100702.fc14.x86_64
Jul 15 06:28:07 Installed: libpeas-0.5.2-3.fc14.x86_64
Jul 15 06:28:08 Updated: hunspell-1.2.12-1.fc14.x86_64
Jul 15 06:28:09 Installed: unique3-2.90.1-2.fc14.x86_64
Jul 15 06:28:12 Installed: gtksourceview3-2.90.4-1.fc14.x86_64
Jul 15 06:28:17 Updated: 1:gedit-2.31.5-1.fc14.x86_64
Jul 15 06:28:23 Updated: empathy-2.31.5.1-1.fc14.x86_64
Jul 15 06:28:24 Updated: hunspell-devel-1.2.12-1.fc14.x86_64
Jul 15 06:28:25 Updated: libgudev1-160-6.fc14.x86_64
Jul 15 06:28:26 Updated: nasm-2.08.01-2.fc14.x86_64
Jul 15 06:28:27 Updated: libgdiplus-2.6.7-1.fc14.x86_64
Jul 15 06:28:32 Updated: 1:eclipse-cdt-7.0.0-1.fc14.x86_64
Jul 15 06:29:24 Updated: gtk3-engines-2.90.3.1-4.fc14.x86_64
Jul 15 06:31:31 Updated: devhelp-2.90.5-2.fc14.x86_64
Jul 15 06:31:32 Updated: 2:ethtool-2.6.34-1.fc14.x86_64
Jul 15 06:40:46 Installed: systemd-3-3.fc14.x86_64
Jul 15 08:42:38 Updated: pam-1.1.1-5.fc14.x86_64
Jul 15 08:42:50 Updated: authconfig-6.1.7-1.fc14.x86_64
Jul 15 08:42:51 Updated: gstreamer-tools-0.10.30-1.fc14.x86_64
Jul 15 08:42:55 Updated: gstreamer-0.10.30-1.fc14.x86_64
Jul 15 08:42:57 Updated: perf-2.6.35-0.40.rc5.git1.fc14.x86_64
Jul 15 08:43:00 Updated: protobuf-2.3.0-3.fc14.x86_64
Jul 15 08:43:09 Updated: authconfig-gtk-6.1.7-1.fc14.x86_64
Jul 15 08:43:12 Updated: pam-devel-1.1.1-5.fc14.x86_64
Jul 15 08:44:16 Installed: kernel-devel-2.6.35-0.40.rc5.git1.fc14.x86_64
Jul 15 08:44:21 Updated: kernel-headers-2.6.35-0.40.rc5.git1.fc14.x86_64
Jul 15 08:44:38 Installed: kernel-2.6.35-0.40.rc5.git1.fc14.x86_64

I'll wait a day or so, and I'll close this if its stable.
Comment 4 Tom London 2010-07-18 18:54:53 EDT
Yeah, this continues to work properly.

I'll close this.

Note You need to log in before you can comment on or make changes to this bug.